Bug 76337 - No reverse video in gnome-terminal makes kinput2 harder to use
No reverse video in gnome-terminal makes kinput2 harder to use
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 05:12 EDT by John Thacker
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 12:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Thacker 2002-10-20 05:12:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
kinput2, the Japanese input method, normally underlines the currently entered
phrase, and displays the particular group of characters selected for conversion
in reverse video.  At least, this happens with every application (including
other terminals like kterm or xterm), except for gnome-terminal.

In gnome-terminal, the entire phrase entered is shown with a box around it,
instead of underlined, and there is no reverse video around the current
selection.  This makes it much harder to move through an entire phrase,
selecting a part to change the conversion of. (and to change the length of the
part selected)  Everything still works, but one is forced to do it "blind"-- the
current selection appears the same as the other, non-selected part of the
phrase.  It makes it impractical to enter and convert entire phrases at a time.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Set up kinput2.  (Either set language to Japanese when logging in, or set
locale variables appropriately.)
2.  Run gnome-terminal.
3.  Attempt to enter in a phrase in Japanese.
4.  Note the lack of reverse video.

Actual Results:  The phrase entered is surrounded by a box, and no part of the
phrase is displayed in reverse video, even after conversion is begun.

Expected Results:  The entered phrase should be underlined.  After conversion is
started, the currently selected part of the phrase should be displayed in
reverse video.

Additional info:
Comment 1 John Thacker 2004-01-29 12:35:24 EST
This is fixed in the current release, at least with vte-0.11.10-4.

Closing.

Note You need to log in before you can comment on or make changes to this bug.